# Interface VideoCuePointDto

interface VideoCuePointDto {
force-stop?: boolean;
id?: string;
metadata?: string;
name?: string;
time?: number;
type?: string;
}

#####
Index

### Properties

force-stop?
id?
metadata?
name?
time?
type?

## Properties

### `Optional` force-stop

force-stop?: boolean

whether video is force-stopped at the cue point

#### Default

    false

#### Example

    true

### `Optional` id

id?: string

### `Optional` metadata

metadata?: string

optional metadata string (128 single-byte characters maximum)

### `Optional` name

name?: string

cue point name

### `Optional` time

time?: number

time of the cue point in seconds; example: 10.527

### `Optional` type

type?: string

cue point type